import { Series } from "./Series";
import { IHasCategoryModePreference } from "./IHasCategoryModePreference";
import { Axis } from "./Axis";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { Type, Point } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { Thickness } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { Rect } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
import { Geometry } from "igniteui-react-core";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { CategoryMode } from "./CategoryMode";
import { RenderSurface } from "./RenderSurface";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class ValueOverlay extends Series implements IHasCategoryModePreference {
    static $t: Type;
    constructor();
    t1: Axis;
    uk: number;
    ui: number;
    uj: number;
    uf: number;
    h9(a: Point, b: boolean, c: boolean): number;
    ug(a: Point, b: Point): number;
    th(a: Point, b: boolean, c: boolean): Point;
    i8(a: Point): number;
    jr(a: Point): any;
    fo(a: any): boolean;
    aq(a: Axis): AxisRange;
    pq(a: boolean): void;
    uh(): number;
    u2(a: number, b: ValueOverlayView): void;
    gl(a: Rect, b: Rect, c: SeriesView): boolean;
    protected qn(a: Rect, b: Rect): void;
    protected qm(a: Rect, b: Rect): void;
    protected no(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    protected o8(a: any, b: string, c: any, d: any): void;
    ob(): void;
    nj(a: boolean, b: SeriesView): void;
    private t6;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    get categoryAxis(): CategoryAxisBase;
    protected cg(): SeriesView;
    o0(a: SeriesView): void;
    private t4;
    pr(a: Rect, b: RenderSurface): void;
    getOffsetValue(): number;
    getCategoryWidth(): number;
    t5: boolean;
    t3: (item: any) => string;
    vk: Brush;
    vi: Brush;
    t9: number;
    ul: number;
    vj: Brush;
    get vl(): Thickness;
    ub: number;
    ud: number;
    uc: number;
    ua: number;
    ue: number;
    ag(): Axis[];
    private t2;
    private t8;
    private t7;
    protected u3(a: number, b: boolean): void;
    protected get_isValueOverlay(): boolean;
    uy(a: number): string;
    get u0(): string;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ValueOverlayView extends SeriesView {
    static $t: Type;
    constructor(a: ValueOverlay);
    private b2;
    protected bd(): void;
    protected be(): void;
    b1(a: Geometry): void;
    b0(): void;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
}
